import { useState } from "react"
import { Textarea, View } from "@tarojs/components"
import CustomNav from "@/components/CustomNav"
import ButtontWX from "@/components/ButtontWX"
import { feedback } from "@/services/mine"
import Taro from "@tarojs/taro"

import './style.less'



export default (props) => {

  const [textAreaValue, setTextAreaValue] = useState('')


  const onSubmitClick = () => {
    console.log('textAreaValue', textAreaValue);
    feedback({ content: textAreaValue }).then(() => {
      Taro.showToast({
        title: '反馈已收到！',
        icon: 'success',
        duration: 2000
      }).then(() => {
        setTimeout(() => {
          Taro.navigateBack({
            delta: 1
          }

          )
        }, 1500)

      })
    })


  }

  return (
    <View className='page-index'>
      <View className='index-navbar'>
        <CustomNav title='意见反馈' />
      </View>
      <View>
        <View className='components-page'>

          <Textarea placeholder='请留下您宝贵的意见和建议！' className='components-page-TextareaCentent' autoHeight onInput={(e) => { setTextAreaValue(e.detail.value) }} />
        </View>
        <View className='buton-bottom-Feedback'>
          <ButtontWX onClick={onSubmitClick} butText='提交' butWidth={350} butHeight={49} butFontSize={16} butBorderRadius={49} />
        </View>
      </View>
    </View>
  )
}
